# Uses of Class
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments

Packages that use ChangeMethodSignatureArguments
Package
Description
org.eclipse.jdt.core.refactoring.participants
Application programming interface to access refactoring participants provided by JDT.

## Uses of ChangeMethodSignatureArguments in org.eclipse.jdt.core.refactoring.participants

Methods in org.eclipse.jdt.core.refactoring.participants that return ChangeMethodSignatureArguments
Modifier and Type
Method
Description
`ChangeMethodSignatureArguments`
ChangeMethodSignatureParticipant.`getArguments()`
Returns the change method signature arguments.
Methods in org.eclipse.jdt.core.refactoring.participants with parameters of type ChangeMethodSignatureArguments
Modifier and Type
Method
Description
`static ChangeMethodSignatureParticipant[]`
JavaParticipantManager.`loadChangeMethodSignatureParticipants(org.eclipse.ltk.core.refactoring.RefactoringStatus status, org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor processor, IMethod method, ChangeMethodSignatureArguments arguments, org.eclipse.ltk.core.refactoring.participants.IParticipantDescriptorFilter filter, String[] affectedNatures, org.eclipse.ltk.core.refactoring.participants.SharableParticipants shared)`
Loads the change method signature participants for the given element.